CBLAT3(3)

SYNOPSIS
SUBROUTINE CBLAT3 (NOUT, KPRINT, IPASS)

NAME
cblat3 - Driver for testing Level 3 BLAS complex subroutines.

LIBRARY
SLATEC (BLAS)

CATEGORY
A4

TYPE
COMPLEX (SBLAT3-S, DBLAT3-D, CBLAT3-C)

KEYWORDS
BLAS, QUICK CHECK DRIVER

AUTHOR
Dongarra, J. J., (ANL) Duff, I., (AERE) Du Croz, J., (NAG) Hammarling, S., (NAG)

DESCRIPTION
Test program for the COMPLEX Level 3 Blas.

REFERENCES
Dongarra, J., Du Croz, J., Duff, I., and Hammarling, S. A set of level 3 basic linear algebra subprograms. ACM TOMS, Vol. 16, No. 1, pp. 1-17, March 1990.

ROUTINES CALLED
CCHK13, CCHK23, CCHK33, CCHK43, CCHK53, CCHKE3, CMMCH, LCE, R1MACH, XERCLR

REVISION HISTORY (YYMMDD)
890208 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)
930315 Removed unused variables. (WRB)
930618 Code modified to improve PASS/FAIL reporting. (BKS, WRB)